<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
header("Content-Type:text/html; charset=utf-8");
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 

$sede=$_GET['sede'];
$id_periodo=$_GET['periodo'];
$id_carrera=$_GET['carrera'];

mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

$sql1 = "SELECT nombre_sede FROM sedes  where codigo='$sede'";
$rst1 = mysql_query($sql1, $cn) or die(mysql_error());
$row1 = mysql_fetch_assoc($rst1);
$nombre_sede=$row1['nombre_sede'];

if($id_carrera=='0'){
	$sql2 = "SELECT nombre_carrera FROM carreras  where id_carrera='$id_carrera'";
	$rst2 = mysql_query($sql2, $cn) or die(mysql_error());
	$row2 = mysql_fetch_assoc($rst2);
	$nombre_carrera='TODOS LOS PROGRAMAS';
}
else {
    $sql2 = "SELECT nombre_carrera FROM carreras  where id_carrera='$id_carrera'";
	$rst2 = mysql_query($sql2, $cn) or die(mysql_error());
	$row2 = mysql_fetch_assoc($rst2);
	$nombre_carrera=$row2['nombre_carrera'];
}	

$sql3 = "SELECT codigo FROM periodos  where id_periodo='$id_periodo'";
$rst3 = mysql_query($sql3, $cn) or die(mysql_error());
$row3 = mysql_fetch_assoc($rst3);
$codigo_periodo=$row3['codigo'];

// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");


// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','landscape'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(750,17,8,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");

$query = "SELECT 
nsede, 
nperiodo, 
ncarrera, 
nmateria, 
nprofesor, 
semestre,
id_seccion,
id_materia
FROM oferta_academica
WHERE sede = '$sede'
AND id_periodo='$id_periodo'
ORDER BY ncarrera,nmateria,semestre,id_seccion";

// Ejecuta el Query.
$result = mysql_query ($query,$cn) or die (mysql_error()); 

// Numero de Filas.
$totalRows = mysql_num_rows($result);
// Se obtienen los datos del docente que dict� la materia.

// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/ulac.jpg');
$pdf->addImage($imagen,35,$pdf->y-55,100,0);
$pdf->selectFont('/fonts/Helvetica.afm');
//$pdf->ezsetdy(-5);
$pdf->ezText("                         UNIVERSIDAD LATINOAMERICANA Y DEL CARIBE",14,array('justification'=>'full'));
$pdf->ezText("                                   SEDE: ".utf8_decode($nombre_sede),10,array('justification'=>'left'));
$pdf->ezsetdy(-12);
$pdf->ezText('<b>'.utf8_decode("OFERTA ACADÉMICA").'</b>',14,array('justification'=>'center'));
$pdf->ezText('<b>'.utf8_decode("PERÍODO: ").utf8_decode($codigo_periodo).'</b>',12,array('justification'=>'center'));
$pdf->ezsetdy(-8);


// Fin del Encabezado.
// Inicio del Pie de P�gina.
//pie_pagina($pdf, $cedula_docente, $nom_docente);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(3.9,1,1,1);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('nro'=>'Nro.',
              'programa'=>utf8_decode('PROGRAMA').'      ',  
			  'materia'=>utf8_decode('UNIDAD CURRICULAR').'      ', 
			  'semestre'=>utf8_decode('SEM.'),
			  'seccion'=>utf8_decode('SECC.'),
			  'profesor'=>'FACILITADOR',); 
$smc = 0; 
// Convierte la Nota a Letras.
$nota = new numerosALetras;

while ($row = mysql_fetch_row($result)) { 
    $materia      = $row[7].':'.$row[3];    // cedula 
	$profesor     = $row[4];    // cedula 
    $semestre = $row[5]; // apellidos y nombres
	$seccion= $row[6];
	$programa= $row[2];

    

    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('nro'=>$smc,
	                'programa'=>utf8_decode($programa),
					'materia'=>utf8_decode($materia), 
                    'semestre'=>utf8_decode($semestre),
					'seccion'=>utf8_decode($seccion),
					'profesor'=>utf8_decode($profesor)); 
} 
					   
$pdf->ezTable($data,$cols,'',array('width'=>'750','fontSize'=>8, 
'cols'=>array('nro'=>array('justification'=>'center') 
			 ,'programa'=>array('justification'=>'full') 
			 ,'materia'=>array('justification'=>'full') 
             ,'semestre'=>array('justification'=>'center')
			 ,'seccion'=>array('justification'=>'center')
			 ,'profesor'=>array('justification'=>'left')) 
));// salida 

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

function pie_pagina($pdf, $id_docente, $nom_docente)
{
    // Facilitador(a).
    $pdf->Rectangle(58,25,500,50);
    $pdf->addText(280,65,8,'Facilitador(a)');
	$pdf->line(58,60,558,60); 
	$pdf->addText(65,50,7,'Nombres y Apellidos:'.$nom_docente);
	$pdf->addText(400,50,7,'C�dula/Pasaporte: '.$id_docente);
	//$pdf->addText(65,180,8,$nom_docente);
	$pdf->addText(445,33,7,'FECHA: ______/______/________');
	//$pdf->addText(65,170,7,'C�dula o Pasaporte');
	$pdf->addText(65,33,7,'FIRMA:');
	$pdf->line(58,45,558,45); 
}
?> 